PIO_WRITE_DOUBLE_TRAP(3)

EXPERIMENTAL_FUNC
pio_write_double_trap - Write double precision floating point data to a channel object.

SYNOPSIS
#include <karma_pio.h>

flag pio_write_double_trap

(Channel channel, double data, flag blanks_to_nans)

DESCRIPTION
This routine will write a double precision floating point number to a channel object and will optionally convert blank values (TOOBIGs) to IEEE Not-A-Number (NaN) values.

channel
    The channel object.

data
    The data. This must be in host natural format. The data will be converted to IEEE network format prior to writing.

blank_to_nans
    If TRUE, TOOBIG values are converted to NaNs.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/